classification
Title: plistlib: Add tests that compare with plutil(1)
Type: enhancement Stage: resolved
Components: Library (Lib), macOS Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: AliyevH, hrik2001, lukasz.langa, ned.deily, ronaldoussoren, thatiparthy, zach.ware
Priority: normal Keywords: easy, patch

Created on 2020-10-20 07:24 by ronaldoussoren, last changed 2021-07-18 21:28 by AliyevH. This issue is now closed.

Files
File name Uploaded Description Edit
test_plistlib_plutil.py AliyevH, 2021-05-06 00:03
Pull Requests
URL Status Linked Edit
PR 27173 merged AliyevH, 2021-07-15 21:41
Messages (7)
msg379094 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-10-20 07:24
plistlib is a library that reads and writes files that should be compatible with Apple tooling/libraries.

Add some tests that verify interop (when ran on macOS):
- Generate plist files with plistlib and parse with plutil
- Generate plist files with plutil and parse with plistlib

Do this both for xml and binary plist files.
msg379100 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2020-10-20 08:10
Also:
- Tests that verify plutil behaviour (such #41491, #42051, #40381)
msg392845 - (view) Author: Hasan (AliyevH) * Date: 2021-05-04 00:01
Does this issue still open? I would like to write this tests.
msg397566 - (view) Author: Srinivas Reddy Thatiparthy(శ్రీనివాస్ రెడ్డి తాటిపర్తి) (thatiparthy) * Date: 2021-07-15 16:22
Hasan, Please raise a PR on GitHub.
msg397717 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-17 10:11
New changeset 689b05c6281ee6bafb9a0c0bf291260efa130f64 by Hasan in branch 'main':
bpo-42095: plistlib: Add tests that compare with plutil(1) (#27173)
https://github.com/python/cpython/commit/689b05c6281ee6bafb9a0c0bf291260efa130f64
msg397718 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-17 10:11
Thanks! ✨ 🍰 ✨
msg397760 - (view) Author: Hasan (AliyevH) * Date: 2021-07-18 21:28
You are welcome!
Thanks for accepting
History
Date User Action Args
2021-07-18 21:28:36AliyevHsetmessages: + msg397760
2021-07-17 10:11:26lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg397718

stage: patch review -> resolved
2021-07-17 10:11:08lukasz.langasetnosy: + lukasz.langa
messages: + msg397717
2021-07-15 23:31:48AliyevHsetpull_requests: - pull_request25709
2021-07-15 21:41:41AliyevHsetpull_requests: + pull_request25710
2021-07-15 21:29:10AliyevHsetpull_requests: + pull_request25709
2021-07-15 16:22:42thatiparthysetnosy: + thatiparthy
messages: + msg397566
2021-07-15 11:28:53AliyevHsetnosy: + zach.ware
2021-05-06 06:27:07serhiy.storchakasetpull_requests: - pull_request21763
2021-05-06 00:03:43AliyevHsetfiles: - test_plistlib_plutil.py
2021-05-06 00:03:33AliyevHsetfiles: + test_plistlib_plutil.py
2021-05-06 00:01:52AliyevHsetfiles: - test_plistlib_plutil.py
2021-05-06 00:01:40AliyevHsetfiles: + test_plistlib_plutil.py
2021-05-05 23:07:40AliyevHsetfiles: + test_plistlib_plutil.py
2021-05-04 00:01:07AliyevHsetnosy: + AliyevH
messages: + msg392845
2021-04-26 21:12:51hrik2001setnosy: + hrik2001
2020-10-20 08:10:30ronaldoussorensetmessages: + msg379100
2020-10-20 07:25:20ronaldoussorensetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request21763
2020-10-20 07:24:21ronaldoussorencreate